Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564163 - Embedded Ansible retirment extra vars
Summary: Embedded Ansible retirment extra vars
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.3
Assignee: Lucy Fu
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 14:10 UTC by Cyril Coupel
Modified: 2018-04-17 12:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 12:15:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Cyril Coupel 2018-04-05 14:10:08 UTC
Description of problem:
the retirement process does not take in account the dialog values

Version-Release number of selected component (if applicable):
5.0.9.22

How reproducible:
all embedded ansible serive life cycle

Steps to Reproduce:
1. create a catalog item based on embedded ansible with extra vars
2. create a service with the previous made catalog item and setting hosts and extra vars with different values than the default ones
3. while serive is finished, launch the retirement

Actual results:
the retirement is launch with the default values.

Expected results:
the retirement must be launch with the dialog values as for the provisionning

Additional info:

Comment 2 Greg McCullough 2018-04-12 14:36:08 UTC
Lucy - Please review, we might need to consult with Bill on this one but should be easy to reproduce.

Comment 4 Cyril Coupel 2018-04-17 07:26:28 UTC
Lucy, what info do you need


Note You need to log in before you can comment on or make changes to this bug.